cpw.mods.fml.common.network

## Class FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.network.FMLNetworkEvent<S>
    - - cpw.mods.fml.common.network.FMLNetworkEvent.CustomPacketRegistrationEvent<S>

- Type Parameters:
    `S` - The side
  Enclosing class:
    FMLNetworkEvent<T extends INetHandler>

      public static class FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>
      extends FMLNetworkEvent<S>

  Fired when the REGISTER/UNREGISTER for custom channels is received.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `FMLNetworkEvent.ClientConnectedToServerEvent, FMLNetworkEvent.ClientCustomPacketEvent, FMLNetworkEvent.ClientDisconnectionFromServerEvent, FMLNetworkEvent.CustomNetworkEvent, FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>, FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>, FMLNetworkEvent.ServerConnectionFromClientEvent, FMLNetworkEvent.ServerCustomPacketEvent, FMLNetworkEvent.ServerDisconnectionFromClientEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `operation`
    `com.google.common.collect.ImmutableSet<java.lang.String>` | `registrations`
    `Side` | `side`

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `handler, manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLNetworkEvent.CustomPacketRegistrationEvent(NetworkManager manager, java.util.Set<java.lang.String> registrations, java.lang.String operation, Side side, java.lang.Class<S> type)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### registrations

          public final com.google.common.collect.ImmutableSet<java.lang.String> registrations

    - #### operation

          public final java.lang.String operation

    - #### side

          public final Side side

  - ### Constructor Detail

    - #### FMLNetworkEvent.CustomPacketRegistrationEvent

          public FMLNetworkEvent.CustomPacketRegistrationEvent(NetworkManager manager,
                                                       java.util.Set<java.lang.String> registrations,
                                                       java.lang.String operation,
                                                       Side side,
                                                       java.lang.Class<S> type)